Copy for LLM[View as Markdown](https://docs.planet.com/develop/apis/tpdi/reference/) # Third-Party Data Import API Reference * TPDI * Search * postSearch data * postNative search * Product * getGet thumbnail of data product * Order * postCreate an order * getQuery orders * getGet an order * delDelete an order * postConfirm an order * Order delivery * getGet order deliveries * getGet an order delivery * getList files of an order delivery * getRetrieve a delivery file * headGet delivery file size * postRequest creation of delivery archive * getRetrieve delivery archive * headGet size of delivery archive * getGet status of delivery archive creation * Order delivery tile * getGet the tiles of an order delivery * getGet an order delivery tile. * Subscription * postCreate a subscription * getQuery subscriptions * getGet a subscription * delDelete a non-running subscription * postConfirm a subscription * postCancel a subscription * Subscription delivery * getGet subscription deliveries * getGet a subscription delivery * getList files of a subscription delivery * getRetrieve a delivery file * headGet delivery file size * postRequest creation of delivery archive * getRetrieve delivery archive * headGet size of delivery archive * getGet status of delivery archive creation * Subscription delivery tile * getGet the tiles of a subscription delivery * getGet a subscription delivery tile. * Quota * getGet import quotas * getGet import quota [API docs by Redocly](https://redocly.com/redoc/) # API Reference (1.0.0) Download OpenAPI specification:[Download](https://docs.planet.com/redocusaurus/tpdi-api-spec.yaml) ## [](#tag/dataimport_search)Search TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use [Planet Item Search](https://docs.planet.com/develop/apis/data/reference/#tag/Item-Search) instead. ## [](#tag/dataimport_search/operation/dataImport_searchData)Search data Search data with Processing API-like interface. ##### Authorizations: *OAuth2* ##### query Parameters | | | | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | count | integer \ >= 1Number of items to retrieve.Maximum value is provider dependent. | | viewtoken | stringWhen the total number of items is larger than *count*, the response contains *viewtoken*. This *viewtoken* can be used in the next request to retrieve the next page of items.The next page can be retrieved by repeating the query. However, replace your URL with the next URL in the returned links object. | ##### Request Body schema: application/json One of PlanetSearchQueryMaxarSearchQuery Deprecated | | | | ---------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | providerrequired | stringValue: "PLANET"Specify this value to use data provider Planet. | | planetApiKey | stringYour Planet API key. Get one from Planet . It is required unless you purchased your Planet data plan through Sentinel Hub, in which case it is optional and will filter search results based on the permissions of the key. | | boundsrequired | object (ProcessRequestInputBounds)Defines the request bounds by specifying the bounding box and/or geometry for the request. If both are given, a request is made for a geometry and bbox is ignored. | | datarequired | Array of objects = 1 items | ### Responses **200** Successful response **400** Bad request **401** Unauthorized post/api/v1/dataimport/search https\://services.sentinel-hub.com/api/v1/dataimport/search ### Request samples * Payload Content type application/json Example PlanetSearchQueryPlanetSearchQuery Copy Expand all Collapse all `{ "provider": "PLANET", "planetApiKey": "string", "bounds": { "bbox": [ 13.822174072265625, 45.85080395917834, 14.55963134765625, 46.29191774991382 ], "geometry": { "type": "Polygon", "coordinates": [ [ [ 14.000701904296873, 46.23685258143992 ], [ 13.822174072265625, 46.09037664604301 ], [ 14.113311767578125, 45.85080395917834 ], [ 14.55963134765625, 46.038922598236 ], [ 14.441528320312498, 46.28717293114449 ], [ 14.17236328125, 46.29191774991382 ], [ 14.000701904296873, 46.23685258143992 ] ] ] }, "properties": { "crs": "http://www.opengis.net/def/crs/OGC/1.3/CRS84" } }, "data": [ { "dataFilter": { "timeRange": { "from": "2018-10-01T00:00:00.000Z", "to": "2018-11-01T00:00:00.000Z" }, "maxCloudCoverage": 100, "nativeFilter": { "type": "RangeFilter", "field_name": "snow_ice_percent", "config": { "gte": 10 } } }, "type": "catalog", "itemType": "PSScene", "productBundle": "analytic_udm2" } ] }` ### Response samples * 200 * 400 Content type application/json Example PlanetSearchResultsPlanetSearchResults Copy Expand all Collapse all `{ "links": { "currentToken": "string", "nextToken": "string", "previousToken": "string", "@id": "http://example.com", "next": "http://example.com", "previous": "http://example.com" }, "features": [ ], "": null }` ## [](#tag/dataimport_search/operation/dataImport_nativeSearch)Native search Proxy search. All the fields not listed as required are passed verbatim to the data provider's search API, and the result from the latter is returned verbatim. ##### Authorizations: *OAuth2* ##### Request Body schema: application/json One of PlanetNativeSearchQueryMaxarNativeSearchQuery Deprecated | | | | ---------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | providerrequired | stringValue: "PLANET"Specify this value to use data provider Planet. | | planetApiKey | stringYour Planet API key. Get one from Planet . It is required unless you purchased your Planet data plan through Sentinel Hub, in which case it is optional and will filter search results based on the permissions of the key. | | property name\*additional property | any[Fields from Request body of Planet Quick search.](https://developers.planet.com/docs/apis/data/reference/#tag/Item-Search/operation/QuickSearch) | ### Responses **200** Successful response **400** Bad request **401** Unauthorized **403** Insufficient permissions post/api/v1/dataimport/nativesearch https\://services.sentinel-hub.com/api/v1/dataimport/nativesearch ### Request samples * Payload Content type application/json Example PlanetNativeSearchQueryPlanetNativeSearchQuery Copy Expand all Collapse all `{ "provider": "PLANET", "item_types": [ "PSScene" ], "filter": { "type": "AndFilter", "config": [ { "type": "GeometryFilter", "field_name": "geometry", "config": { "type": "Polygon", "coordinates": [ [ [ 15.786, 46.7008 ], [ 15.786, 46.7234 ], [ 15.8473, 46.7234 ], [ 15.8473, 46.7008 ], [ 15.786, 46.7008 ] ] ] } }, { "type": "DateRangeFilter", "field_name": "acquired", "config": { "gte": "2019-04-27T00:00:00.000Z", "lte": "2019-04-30T00:00:00.000Z" } }, { "type": "RangeFilter", "field_name": "cloud_cover", "config": { "lte": 0.3 } } ] } }` ### Response samples * 200 * 400 Content type application/json Example PlanetSearchResultsPlanetSearchResults Copy Expand all Collapse all `{ "links": { "currentToken": "string", "nextToken": "string", "previousToken": "string", "@id": "http://example.com", "next": "http://example.com", "previous": "http://example.com" }, "features": [ ], "": null }` ## [](#tag/dataimport_product)Product TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use [Planet Data API](https://docs.planet.com/develop/apis/data/reference/) instead. ## [](#tag/dataimport_product/operation/dataImport_getProductThumbnail)Get thumbnail of data product Get a scaled-down, non-geolocated, non-clipped image of the data product ##### Authorizations: *OAuth2* ##### path Parameters | | | | -------------------- | ------------------------------------------------------------------------------------ | | collectionIdrequired | stringEnum: "PLANET\_SCOPE" "PLANET\_SKYSAT" "MAXAR\_WORLDVIEW"Collection ID | | productIdrequired | stringID of the product to get thumbnail of, typically returned by a previous search | ##### query Parameters | | | | ------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | planetApiKey | stringDeprecatedYour Planet API key. Get one from Planet . It is required in order to get thumbnails of Planet data products unless you purchased your Planet data plan through Sentinel Hub. | ### Responses **200** Successful response (image) get/api/v1/dataimport/collections/{collectionId}/products/{productId}/thumbnail https\://services.sentinel-hub.com/api/v1/dataimport/collections/{collectionId}/products/{productId}/thumbnail ## [](#tag/dataimport_order)Order TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use [Planet Orders API](https://docs.planet.com/develop/apis/orders/reference/) instead. ## [](#tag/dataimport_order/operation/dataImport_createOrder)Create an order Create a non-confirmed data order object, equivalent to a quote. After creation you can review the contents of the order and its quota requirements, and then choose to confirm it or not. Data can be ordered by specifying a query (all items matching the query will be ordered) or item IDs (the specified items will be ordered). ##### Authorizations: *OAuth2* ##### Request Body schema: application/json One of PlanetOrderRequestMaxarOrderRequest Deprecated | | | | ------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | | name | stringOrder name. It's also used as a name for a new BYOC collection, if no collection is given in collectionId field. | | collectionId | string \BYOC collection ID. If given at order creation, requested data is imported into referenced collection, which must be compatible with the data being ordered - that is, must either be empty or contain the same bands as the data being ordered.If not given at order creation, a new BYOC collection is created when the order is confirmed and its ID is returned in the response from the `confirm` endpoint. | | inputrequired | object (PlanetSearchQuery)DeprecatedSpecification of the ordered data | ### Responses **200** Order created **400** Bad request **401** Unauthorized **403** Insufficient permissions **404** Not found post/api/v1/dataimport/orders https\://services.sentinel-hub.com/api/v1/dataimport/orders ### Request samples * Payload Content type application/json Example PlanetOrderRequestPlanetOrderRequest Copy Expand all Collapse all `{ "name": "string", "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50", "input": { "provider": "PLANET", "planetApiKey": "string", "bounds": { "bbox": [ 13.822174072265625, 45.85080395917834, 14.55963134765625, 46.29191774991382 ], "geometry": { "type": "Polygon", "coordinates": [ [ [ 14.000701904296873, 46.23685258143992 ], [ 13.822174072265625, 46.09037664604301 ], [ 14.113311767578125, 45.85080395917834 ], [ 14.55963134765625, 46.038922598236 ], [ 14.441528320312498, 46.28717293114449 ], [ 14.17236328125, 46.29191774991382 ], [ 14.000701904296873, 46.23685258143992 ] ] ] }, "properties": { "crs": "http://www.opengis.net/def/crs/OGC/1.3/CRS84" } }, "data": [ { "dataFilter": { "timeRange": { "from": "2018-10-01T00:00:00.000Z", "to": "2018-11-01T00:00:00.000Z" }, "maxCloudCoverage": 100, "nativeFilter": { "type": "RangeFilter", "field_name": "snow_ice_percent", "config": { "gte": 10 } } }, "type": "catalog", "itemType": "PSScene", "productBundle": "analytic_udm2", "harmonizeTo": "NONE", "itemIds": [ "string" ] } ] } }` ### Response samples * 200 * 400 * 404 Content type application/json Copy Expand all Collapse all `{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50", "status": "CREATED", "sqkm": 0, "input": { } }` ## [](#tag/dataimport_order/operation/dataImport_getOrders)Query orders ##### Authorizations: *OAuth2* ##### query Parameters | | | | ------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | status | string (OrderStatus)Enum: "CREATED" "CANCELLED" "RUNNING" "DONE" "PARTIAL" "FAILED"Filter orders by status. Omit to get all orders. | | collectionId | string \Filter orders by collectionId. Omit to get all orders. | | count | integer \Upper limit to the number of items to retrieve. It cannot be larger than the endpoint-specific limit. If omitted, the endpoint-specific limit is used. For more records, use *viewtoken* to page through. | | viewtoken | stringWhen the total number of items is larger than *count*, the response contains *viewtoken*. This *viewtoken* can be used in the next request to retrieve the next page of items.The next page can be retrieved by repeating the query. However, replace your URL with the next URL in the returned links object. | | search | stringOptional search query. Either a single word to search for or multiple words separated by the `\|` (or) and `&` (and) operators. If omitted, all items are returned. | | deleted | booleanDefault: falseIf set to `true` the response will only return those orders that had been deleted by the user. | ### Responses **200** Successful response **401** Unauthorized get/api/v1/dataimport/orders https\://services.sentinel-hub.com/api/v1/dataimport/orders ### Response samples * 200 Content type application/json Copy Expand all Collapse all `{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50", "status": "CREATED", "sqkm": 0, "input": { } } ], "links": { "currentToken": "string", "nextToken": "string", "previousToken": "string", "@id": "http://example.com", "next": "http://example.com", "previous": "http://example.com" } }` ## [](#tag/dataimport_order/operation/dataImport_getOrder)Get an order ##### Authorizations: *OAuth2* ##### path Parameters | | | | --------------- | ---------------------- | | orderIdrequired | string \Order ID | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/api/v1/dataimport/orders/{orderId} https\://services.sentinel-hub.com/api/v1/dataimport/orders/{orderId} ### Response samples * 200 * 404 Content type application/json Copy Expand all Collapse all `{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50", "status": "CREATED", "sqkm": 0, "input": { } }` ## [](#tag/dataimport_order/operation/dataImport_deleteOrder)Delete an order `CREATED` orders will be permanently deleted. `CANCELLED` , `DONE` or `FAILED` ones will be deleted for normal querying but will still be available. `PARTIAL` or `RUNNING` orders cannot be deleted. ##### Authorizations: *OAuth2* ##### path Parameters | | | | --------------- | ---------------------- | | orderIdrequired | string \Order ID | ### Responses **204** Successful response - order deleted **401** Unauthorized **403** Insufficient permissions **404** Not found **409** Conflict - order cannot be deleted because it is currently being processed. delete/api/v1/dataimport/orders/{orderId} https\://services.sentinel-hub.com/api/v1/dataimport/orders/{orderId} ### Response samples * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/dataimport_order/operation/dataImport_confirmOrder)Confirm an order Confirm the order and start executing it. Requires sufficient quota for the order. Only orders with status CREATED can be confirmed. ##### Authorizations: *OAuth2* ##### path Parameters | | | | --------------- | ---------------------- | | orderIdrequired | string \Order ID | ### Responses **200** Successful response - order confirmed **401** Unauthorized **403** Insufficient quota for the order **409** Conflict - order cannot be confirmed because its status is not CREATED. post/api/v1/dataimport/orders/{orderId}/confirm https\://services.sentinel-hub.com/api/v1/dataimport/orders/{orderId}/confirm ### Response samples * 200 * 403 Content type application/json Copy Expand all Collapse all `{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50", "status": "CREATED", "sqkm": 0, "input": { } }` ## [](#tag/dataimport_delivery)Order delivery TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use [Planet Orders API](https://docs.planet.com/develop/apis/orders/reference/) instead. ## [](#tag/dataimport_delivery/operation/dataImport_getOrderDeliveries)Get order deliveries ##### Authorizations: *OAuth2* ##### path Parameters | | | | --------------- | ---------------------- | | orderIdrequired | string \Order ID | ##### query Parameters | | | | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | status | string (DeliveryStatus)Enum: "WAITING" "DELIVERED" "DELIVERY\_FAILED" "PREPARING" "INGESTING" "DONE" "IMPORT\_FAILED" "NON\_INGESTIBLE"Filter deliveries by status. Omit to get all deliveries. | | count | integer \Upper limit to the number of items to retrieve. It cannot be larger than the endpoint-specific limit. If omitted, the endpoint-specific limit is used. For more records, use *viewtoken* to page through. | | viewtoken | stringWhen the total number of items is larger than *count*, the response contains *viewtoken*. This *viewtoken* can be used in the next request to retrieve the next page of items.The next page can be retrieved by repeating the query. However, replace your URL with the next URL in the returned links object. | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/api/v1/dataimport/orders/{orderId}/deliveries https\://services.sentinel-hub.com/api/v1/dataimport/orders/{orderId}/deliveries ### Response samples * 200 * 404 Content type application/json Copy Expand all Collapse all `{ "data": [ { "provider": "PLANET", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sqkm": 0, "status": "WAITING", "errorMessage": "string", "itemId": "string" } ], "links": { "currentToken": "string", "nextToken": "string", "previousToken": "string", "@id": "http://example.com", "next": "http://example.com", "previous": "http://example.com" } }` ## [](#tag/dataimport_delivery/operation/dataImport_getOrderDelivery)Get an order delivery ##### Authorizations: *OAuth2* ##### path Parameters | | | | ------------------ | ------------------------- | | orderIdrequired | string \Order ID | | deliveryIdrequired | string \Delivery ID | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId} https\://services.sentinel-hub.com/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId} ### Response samples * 200 * 404 Content type application/json Example OrderPlanetDeliveryOrderPlanetDelivery Copy `{ "provider": "PLANET", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sqkm": 0, "status": "WAITING", "errorMessage": "string", "itemId": "string" }` ## [](#tag/dataimport_delivery/operation/dataImport_getOrderDeliveryFiles)List files of an order delivery Lists all files delivered by the data provider. The file list and contents is provider-specific. ##### Authorizations: *OAuth2* ##### path Parameters | | | | ------------------ | ------------------------- | | orderIdrequired | string \Order ID | | deliveryIdrequired | string \Delivery ID | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found **409** Delivery status is not `DONE` get/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/files https\://services.sentinel-hub.com/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/files ### Response samples * 200 * 404 Content type application/json Copy `[ "VOL_PHR.XML", "INDEX.HTM", "IMG_PHR1A_P_001/IMG_PHR1A_P_202102240924289_ORT_15c5eeb9-53a1-4cdd-cca6-d265fb1bf0c6-001_R1C1.J2W", "..." ]` ## [](#tag/dataimport_delivery/operation/dataImport_getOrderDeliveryFile)Retrieve a delivery file Download a single file delivered by the data provider. ##### Authorizations: *OAuth2* ##### path Parameters | | | | ------------------ | ---------------------------------------------------------------------------- | | orderIdrequired | string \Order ID | | deliveryIdrequired | string \Delivery ID | | filerequired | stringFile with full path as returned by the "List delivery files" endpoint. | ##### header Parameters | | | | ----- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | Range | string \Example: bytes=16384-23473Optional byte range to retrieve part of a file according to [RFC 7233](https://datatracker.ietf.org/doc/html/rfc7233#section-3.1). Typically used with large files to resume interrupted downloads. | ### Responses **200** Successful response **206** Partial response in case partial retrieval was requested with the `Range` request header **401** Unauthorized **403** Insufficient permissions **404** Not found **409** Delivery status is not `DONE` get/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/files/{file} https\://services.sentinel-hub.com/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/files/{file} ### Response samples * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/dataimport_delivery/operation/dataImport_headOrderDeliveryFile)Get delivery file size ##### Authorizations: *OAuth2* ##### path Parameters | | | | ------------------ | ---------------------------------------------------------------------------- | | orderIdrequired | string \Order ID | | deliveryIdrequired | string \Delivery ID | | filerequired | stringFile with full path as returned by the "List delivery files" endpoint. | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found **409** Delivery status is not `DONE` head/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/files/{file} https\://services.sentinel-hub.com/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/files/{file} ### Response samples * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/dataimport_delivery/operation/dataImport_postOrderDeliveryArchiveCreate)Request creation of delivery archive ##### Authorizations: *OAuth2* ##### path Parameters | | | | ------------------ | ------------------------- | | orderIdrequired | string \Order ID | | deliveryIdrequired | string \Delivery ID | ##### query Parameters | | | | ------ | ---------------------------------------------------------------------------------------------------------------------------- | | format | string (DeliveryArchiveFormat)Default: "zip"Value: "zip"One of supported archive formats. Currently only `zip` is supported. | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found **409** Delivery status is not `DONE` or archival of the same delivery in the same format has already been requested post/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/archive/create https\://services.sentinel-hub.com/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/archive/create ### Response samples * 200 * 404 Content type application/json Copy `{ "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901", "format": "zip", "requested": "2019-08-24T14:15:22Z", "status": "WAITING", "size": 0 }` ## [](#tag/dataimport_delivery/operation/dataImport_getOrderDeliveryArchive)Retrieve delivery archive ##### Authorizations: *OAuth2* ##### path Parameters | | | | ------------------ | ------------------------- | | orderIdrequired | string \Order ID | | deliveryIdrequired | string \Delivery ID | ##### query Parameters | | | | ------ | ---------------------------------------------------------------------------------------------------------------------------- | | format | string (DeliveryArchiveFormat)Default: "zip"Value: "zip"One of supported archive formats. Currently only `zip` is supported. | ##### header Parameters | | | | ----- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | Range | string \Example: bytes=16384-23473Optional byte range to retrieve part of the archive according to [RFC 7233](https://datatracker.ietf.org/doc/html/rfc7233#section-3.1). Typically used to resume interrupted downloads. | ### Responses **200** Successful response **206** Partial response in case partial retrieval was requested with the `Range` request header **401** Unauthorized **403** Insufficient permissions **404** Not found get/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/archive https\://services.sentinel-hub.com/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/archive ### Response samples * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/dataimport_delivery/operation/dataImport_headOrderDeliveryArchive)Get size of delivery archive ##### Authorizations: *OAuth2* ##### path Parameters | | | | ------------------ | ------------------------- | | orderIdrequired | string \Order ID | | deliveryIdrequired | string \Delivery ID | ##### query Parameters | | | | ------ | ---------------------------------------------------------------------------------------------------------------------------- | | format | string (DeliveryArchiveFormat)Default: "zip"Value: "zip"One of supported archive formats. Currently only `zip` is supported. | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found head/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/archive https\://services.sentinel-hub.com/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/archive ### Response samples * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/dataimport_delivery/operation/dataImport_getOrderDeliveryArchiveStatus)Get status of delivery archive creation ##### Authorizations: *OAuth2* ##### path Parameters | | | | ------------------ | ------------------------- | | orderIdrequired | string \Order ID | | deliveryIdrequired | string \Delivery ID | ##### query Parameters | | | | ------ | ---------------------------------------------------------------------------------------------------------------------------- | | format | string (DeliveryArchiveFormat)Default: "zip"Value: "zip"One of supported archive formats. Currently only `zip` is supported. | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/archive/status https\://services.sentinel-hub.com/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/archive/status ### Response samples * 200 * 404 Content type application/json Copy `{ "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901", "format": "zip", "requested": "2019-08-24T14:15:22Z", "status": "WAITING", "size": 0 }` ## [](#tag/dataimport_tile_delivery)Order delivery tile TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use the [BYOC API](https://docs.planet.com/develop/apis/byoc/reference/#tag/byoc_tile) instead to work with tiles. ## [](#tag/dataimport_tile_delivery/operation/dataImport_getTileDeliveries)Get the tiles of an order delivery The delivery tiles correspond to BYOC tiles that were created during the ingestion of this delivery. Thus their corresponding IDs will match. While for most deliveries just one tile is created, for the largest ones there can be tens of tiles. Only tiles from last 3 months can be retrieved. ##### Authorizations: *OAuth2* ##### path Parameters | | | | ------------------ | ------------------------- | | orderIdrequired | string \Order ID | | deliveryIdrequired | string \Delivery ID | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/tiles https\://services.sentinel-hub.com/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/tiles ### Response samples * 200 * 404 Content type application/json Copy Expand all Collapse all `{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901", "status": "WAITING" } ] }` ## [](#tag/dataimport_tile_delivery/operation/dataImport_getTileDelivery)Get an order delivery tile. Only tiles from last 3 months can be retrieved. ##### Authorizations: *OAuth2* ##### path Parameters | | | | ------------------ | ------------------------- | | orderIdrequired | string \Order ID | | deliveryIdrequired | string \Delivery ID | | tileIdrequired | string \Tile ID | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/tiles/{tileId} https\://services.sentinel-hub.com/api/v1/dataimport/orders/{orderId}/deliveries/{deliveryId}/tiles/{tileId} ### Response samples * 200 * 404 Content type application/json Copy `{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901", "status": "WAITING" }` ## [](#tag/dataimport_subscription)Subscription TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use [Planet Subscriptions API](https://docs.planet.com/develop/apis/subscriptions/reference/) instead. ## [](#tag/dataimport_subscription/operation/dataImport_createSubscription)Create a subscription Deprecated Create a non-confirmed data subscription object. After creation you can review the parameters of the subscription and then choose to confirm it or not. ##### Authorizations: *OAuth2* ##### Request Body schema: application/json One of PlanetSubscriptionRequest Deprecated | | | | ------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | name | stringSubscription name. It's also used as a name for a new BYOC collection, if no collection is given in collectionId field. | | collectionId | string \BYOC collection ID. If given at subscription creation, the data is imported into referenced collection, which must be compatible with the data being subscribed - that is, must either be empty or contain the same bands as the data being subscribed.If not given at subscription creation, a new BYOC collection is created when the subscription is confirmed and its ID is returned in the response from the `confirm` endpoint. | | inputrequired | objectSpecification of the subscribed data | ### Responses **200** Subscription created **400** Bad request **401** Unauthorized **403** Insufficient permissions **404** Not found post/api/v1/dataimport/subscriptions https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions ### Request samples * Payload Content type application/json Copy Expand all Collapse all `{ "name": "string", "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50", "input": { "provider": "PLANET", "planetApiKey": "string", "bounds": { "bbox": [ 13.822174072265625, 45.85080395917834, 14.55963134765625, 46.29191774991382 ], "geometry": { "type": "Polygon", "coordinates": [ [ [ 14.000701904296873, 46.23685258143992 ], [ 13.822174072265625, 46.09037664604301 ], [ 14.113311767578125, 45.85080395917834 ], [ 14.55963134765625, 46.038922598236 ], [ 14.441528320312498, 46.28717293114449 ], [ 14.17236328125, 46.29191774991382 ], [ 14.000701904296873, 46.23685258143992 ] ] ] }, "properties": { "crs": "http://www.opengis.net/def/crs/OGC/1.3/CRS84" } }, "data": [ { "dataFilter": { "timeRange": { "from": "2018-10-01T00:00:00.000Z", "to": "2018-11-01T00:00:00.000Z" }, "maxCloudCoverage": 100, "nativeFilter": { "type": "RangeFilter", "field_name": "snow_ice_percent", "config": { "gte": 10 } } }, "type": "catalog", "itemType": "PSScene", "productBundle": "analytic_udm2", "harmonizeTo": "NONE" } ] } }` ### Response samples * 200 * 400 * 404 Content type application/json Copy Expand all Collapse all `{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50", "status": "CREATED", "sqkm": 0, "input": { } }` ## [](#tag/dataimport_subscription/operation/dataImport_getSubscriptions)Query subscriptions Deprecated ##### Authorizations: *OAuth2* ##### query Parameters | | | | ------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | status | string (SubscriptionStatus)Enum: "CREATED" "RUNNING" "CANCELLED" "COMPLETED" "FAILED"Filter subscriptions by status. Omit to get all subscriptions. | | collectionId | string \Filter subscriptions by collectionId. Omit to get all subscriptions. | | count | integer \Upper limit to the number of items to retrieve. It cannot be larger than the endpoint-specific limit. If omitted, the endpoint-specific limit is used. For more records, use *viewtoken* to page through. | | viewtoken | stringWhen the total number of items is larger than *count*, the response contains *viewtoken*. This *viewtoken* can be used in the next request to retrieve the next page of items.The next page can be retrieved by repeating the query. However, replace your URL with the next URL in the returned links object. | | search | stringOptional search query. Either a single word to search for or multiple words separated by the `\|` (or) and `&` (and) operators. If omitted, all items are returned. | | deleted | booleanDefault: falseIf set to `true` the response will only return those subscriptions that had been deleted by the user. | ### Responses **200** Successful response **401** Unauthorized get/api/v1/dataimport/subscriptions https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions ### Response samples * 200 Content type application/json Copy Expand all Collapse all `{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50", "status": "CREATED", "sqkm": 0, "input": { } } ], "links": { "currentToken": "string", "nextToken": "string", "previousToken": "string", "@id": "http://example.com", "next": "http://example.com", "previous": "http://example.com" } }` ## [](#tag/dataimport_subscription/operation/dataImport_getSubscription)Get a subscription Deprecated ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ----------------------------- | | subscriptionIdrequired | string \Subscription ID | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/api/v1/dataimport/subscriptions/{subscriptionId} https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId} ### Response samples * 200 * 404 Content type application/json Copy Expand all Collapse all `{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50", "status": "CREATED", "sqkm": 0, "input": { } }` ## [](#tag/dataimport_subscription/operation/dataImport_deleteSubscription)Delete a non-running subscription Deprecated `CREATED` subscriptions will be permanently deleted. `CANCELLED` , `COMPLETED` or `FAILED` ones will be deleted for normal querying but will still be available. `RUNNING` subscriptions cannot be deleted. ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ----------------------------- | | subscriptionIdrequired | string \Subscription ID | ### Responses **204** Successful response - subscription deleted **401** Unauthorized **403** Insufficient permissions **404** Not found **409** Conflict - subscription cannot be deleted because it is currently being processed. delete/api/v1/dataimport/subscriptions/{subscriptionId} https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId} ### Response samples * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/dataimport_subscription/operation/dataImport_confirmSubscription)Confirm a subscription Deprecated Confirm the subscription and start executing it. Only subscription with status CREATED can be confirmed. ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ----------------------------- | | subscriptionIdrequired | string \Subscription ID | ### Responses **200** Successful response - subscription confirmed **401** Unauthorized **403** Insufficient quota for the order **409** Conflict - subscription cannot be confirmed because its status is not CREATED. post/api/v1/dataimport/subscriptions/{subscriptionId}/confirm https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId}/confirm ### Response samples * 200 * 403 Content type application/json Copy Expand all Collapse all `{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50", "status": "CREATED", "sqkm": 0, "input": { } }` ## [](#tag/dataimport_subscription/operation/dataImport_cancelSubscription)Cancel a subscription Deprecated Cancel a RUNNING subscription so that it will stop executing. Already imported data will be kept. Only subscription with status RUNNING can be cancelled. ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ----------------------------- | | subscriptionIdrequired | string \Subscription ID | ### Responses **200** Successful response - subscription cancelled **401** Unauthorized **403** Insufficient permissions **409** Conflict - subscription cannot be cancelled because its status is not RUNNING. post/api/v1/dataimport/subscriptions/{subscriptionId}/cancel https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId}/cancel ### Response samples * 200 Content type application/json Copy Expand all Collapse all `{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50", "status": "CREATED", "sqkm": 0, "input": { } }` ## [](#tag/dataimport_subscription_delivery)Subscription delivery TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use [Planet Subscriptions API](https://docs.planet.com/develop/apis/subscriptions/reference/) instead. ## [](#tag/dataimport_subscription_delivery/operation/dataImport_getSubscriptionDeliveries)Get subscription deliveries Deprecated ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ----------------------------- | | subscriptionIdrequired | string \Subscription ID | ##### query Parameters | | | | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | status | string (DeliveryStatus)Enum: "WAITING" "DELIVERED" "DELIVERY\_FAILED" "PREPARING" "INGESTING" "DONE" "IMPORT\_FAILED" "NON\_INGESTIBLE"Filter deliveries by status. Omit to get all deliveries. | | count | integer \Upper limit to the number of items to retrieve. It cannot be larger than the endpoint-specific limit. If omitted, the endpoint-specific limit is used. For more records, use *viewtoken* to page through. | | viewtoken | stringWhen the total number of items is larger than *count*, the response contains *viewtoken*. This *viewtoken* can be used in the next request to retrieve the next page of items.The next page can be retrieved by repeating the query. However, replace your URL with the next URL in the returned links object. | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries ### Response samples * 200 * 404 Content type application/json Copy Expand all Collapse all `{ "data": [ { "provider": "PLANET", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "WAITING", "errorMessage": "string", "itemId": "string" } ], "links": { "currentToken": "string", "nextToken": "string", "previousToken": "string", "@id": "http://example.com", "next": "http://example.com", "previous": "http://example.com" } }` ## [](#tag/dataimport_subscription_delivery/operation/dataImport_getSubscriptionDelivery)Get a subscription delivery Deprecated ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ----------------------------- | | subscriptionIdrequired | string \Subscription ID | | deliveryIdrequired | string \Delivery ID | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId} https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId} ### Response samples * 200 * 404 Content type application/json Copy `{ "provider": "PLANET", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "WAITING", "errorMessage": "string", "itemId": "string" }` ## [](#tag/dataimport_subscription_delivery/operation/dataImport_getSubscriptionDeliveryFiles)List files of a subscription delivery Deprecated Lists all files delivered by the data provider. The file list and contents is provider-specific. ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ----------------------------- | | subscriptionIdrequired | string \Subscription ID | | deliveryIdrequired | string \Delivery ID | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found **409** Delivery status is not `DONE` get/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/files https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/files ### Response samples * 200 * 404 Content type application/json Copy `[ "20211208_095127_54_2416_3B_AnalyticMS_SR_clip.tif", "20211208_095127_54_2416_metadata.json", "20211208_095127_54_2416_3B_AnalyticMS_metadata_clip.xml", "20211208_095127_54_2416_3B_udm2_clip.tif" ]` ## [](#tag/dataimport_subscription_delivery/operation/dataImport_getSubscriptionDeliveryFile)Retrieve a delivery file Deprecated Download a single file delivered by the data provider. ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ---------------------------------------------------------------------------- | | subscriptionIdrequired | string \Subscription ID | | deliveryIdrequired | string \Delivery ID | | filerequired | stringFile with full path as returned by the "List delivery files" endpoint. | ##### header Parameters | | | | ----- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | Range | string \Example: bytes=16384-23473Optional byte range to retrieve part of a file according to [RFC 7233](https://datatracker.ietf.org/doc/html/rfc7233#section-3.1). Typically used with large files to resume interrupted downloads. | ### Responses **200** Successful response **206** Partial response in case partial retrieval was requested with the `Range` request header **401** Unauthorized **403** Insufficient permissions **404** Not found **409** Delivery status is not `DONE` get/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/files/{file} https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/files/{file} ### Response samples * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/dataimport_subscription_delivery/operation/dataImport_headSubscriptionDeliveryFile)Get delivery file size Deprecated ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ---------------------------------------------------------------------------- | | subscriptionIdrequired | string \Subscription ID | | deliveryIdrequired | string \Delivery ID | | filerequired | stringFile with full path as returned by the "List delivery files" endpoint. | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found **409** Delivery status is not `DONE` head/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/files/{file} https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/files/{file} ### Response samples * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/dataimport_subscription_delivery/operation/dataImport_postSubscriptionDeliveryArchiveCreate)Request creation of delivery archive Deprecated ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ----------------------------- | | subscriptionIdrequired | string \Subscription ID | | deliveryIdrequired | string \Delivery ID | ##### query Parameters | | | | ------ | ---------------------------------------------------------------------------------------------------------------------------- | | format | string (DeliveryArchiveFormat)Default: "zip"Value: "zip"One of supported archive formats. Currently only `zip` is supported. | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found **409** Delivery status is not `DONE` or archival of the same delivery in the same format has already been requested post/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/archive/create https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/archive/create ### Response samples * 200 * 404 Content type application/json Copy `{ "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901", "format": "zip", "requested": "2019-08-24T14:15:22Z", "status": "WAITING", "size": 0 }` ## [](#tag/dataimport_subscription_delivery/operation/dataImport_getSubscriptionDeliveryArchive)Retrieve delivery archive Deprecated ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ----------------------------- | | subscriptionIdrequired | string \Subscription ID | | deliveryIdrequired | string \Delivery ID | ##### query Parameters | | | | ------ | ---------------------------------------------------------------------------------------------------------------------------- | | format | string (DeliveryArchiveFormat)Default: "zip"Value: "zip"One of supported archive formats. Currently only `zip` is supported. | ##### header Parameters | | | | ----- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | Range | string \Example: bytes=16384-23473Optional byte range to retrieve part of the archive according to [RFC 7233](https://datatracker.ietf.org/doc/html/rfc7233#section-3.1). Typically used to resume interrupted downloads. | ### Responses **200** Successful response **206** Partial response in case partial retrieval was requested with the `Range` request header **401** Unauthorized **403** Insufficient permissions **404** Not found get/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/archive https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/archive ### Response samples * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/dataimport_subscription_delivery/operation/dataImport_headSubscriptionDeliveryArchive)Get size of delivery archive Deprecated ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ----------------------------- | | subscriptionIdrequired | string \Subscription ID | | deliveryIdrequired | string \Delivery ID | ##### query Parameters | | | | ------ | ---------------------------------------------------------------------------------------------------------------------------- | | format | string (DeliveryArchiveFormat)Default: "zip"Value: "zip"One of supported archive formats. Currently only `zip` is supported. | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found head/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/archive https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/archive ### Response samples * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/dataimport_subscription_delivery/operation/dataImport_getSubscriptionDeliveryArchiveStatus)Get status of delivery archive creation Deprecated ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ----------------------------- | | subscriptionIdrequired | string \Subscription ID | | deliveryIdrequired | string \Delivery ID | ##### query Parameters | | | | ------ | ---------------------------------------------------------------------------------------------------------------------------- | | format | string (DeliveryArchiveFormat)Default: "zip"Value: "zip"One of supported archive formats. Currently only `zip` is supported. | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/archive/status https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/archive/status ### Response samples * 200 * 404 Content type application/json Copy `{ "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901", "format": "zip", "requested": "2019-08-24T14:15:22Z", "status": "WAITING", "size": 0 }` ## [](#tag/dataimport_subscription_tile_delivery)Subscription delivery tile TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use the [BYOC API](https://docs.planet.com/develop/apis/byoc/reference/#tag/byoc_tile) instead to work with tiles. ## [](#tag/dataimport_subscription_tile_delivery/operation/dataImport_getSubscriptionTileDeliveries)Get the tiles of a subscription delivery Deprecated The delivery tiles correspond to BYOC tiles that were created during the ingestion of this delivery. Thus their corresponding IDs will match. While for most deliveries just one tile is created, for the largest ones there can be tens of tiles. Only tiles from last 3 months can be retrieved. ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ----------------------------- | | subscriptionIdrequired | string \Subscription ID | | deliveryIdrequired | string \Delivery ID | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/tiles https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/tiles ### Response samples * 200 * 404 Content type application/json Copy Expand all Collapse all `{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901", "status": "WAITING" } ] }` ## [](#tag/dataimport_subscription_tile_delivery/operation/dataImport_getSubscriptionTileDelivery)Get a subscription delivery tile. Deprecated Only tiles from last 3 months can be retrieved. ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------------------- | ----------------------------- | | subscriptionIdrequired | string \Subscription ID | | deliveryIdrequired | string \Delivery ID | | tileIdrequired | string \Tile ID | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/tiles/{tileId} https\://services.sentinel-hub.com/api/v1/dataimport/subscriptions/{subscriptionId}/deliveries/{deliveryId}/tiles/{tileId} ### Response samples * 200 * 404 Content type application/json Copy `{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901", "status": "WAITING" }` ## [](#tag/dataimport_quota)Quota ## [](#tag/dataimport_quota/operation/dataImport_getQuotas)Get import quotas Get the list of your import quotas for all providers and collections ##### Authorizations: *OAuth2* ### Responses **200** Successful response **401** Unauthorized get/api/v1/dataimport/accountquotas https\://services.sentinel-hub.com/api/v1/dataimport/accountquotas ### Response samples * 200 Content type application/json Copy Expand all Collapse all `{ "data": [ { "collectionId": "MAXAR_WORLDVIEW", "quotaSqkm": 0, "quotaUsed": 0 } ] }` ## [](#tag/dataimport_quota/operation/dataImport_getQuota)Get import quota Get the import quota for the specified collection ##### Authorizations: *OAuth2* ##### path Parameters | | | | -------------------- | -------------------------------------------- | | collectionIdrequired | stringValue: "MAXAR\_WORLDVIEW"Collection ID | ### Responses **200** Successful response **401** Unauthorized **404** Not found get/api/v1/dataimport/accountquotas/{collectionId} https\://services.sentinel-hub.com/api/v1/dataimport/accountquotas/{collectionId} ### Response samples * 200 * 404 Content type application/json Copy `{ "collectionId": "MAXAR_WORLDVIEW", "quotaSqkm": 0, "quotaUsed": 0 }`